Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom
Interface ExtendedNode

All Superinterfaces:
  EventTarget, Node, NodeEventTarget

All Known Implementing Classes:
  AbstractAttr, AbstractAttrNS, AbstractCharacterData, AbstractChildNode, AbstractComment, AbstractDocument, AbstractDocumentFragment, AbstractElement, AbstractElement, AbstractElementNS, AbstractEntity, AbstractEntityReference, AbstractNode, AbstractNotation, AbstractParentChildNode, AbstractParentNode, AbstractProcessingInstruction, AbstractStylableDocument, AbstractText, BatikHistogramNormalizationElement, BatikRegularPolygonElement, BatikStarElement, BindableElement, ColorSwitchElement, ExtensionElement, FlowDivElement, FlowLineElement, FlowParaElement, FlowRegionBreakElement, FlowRegionElement, FlowSpanElement, FlowTextElement, GenericAttr, GenericAttrNS, GenericCDATASection, GenericComment, GenericDocument, GenericDocumentFragment, GenericDocumentType, GenericElement, GenericElementNS, GenericEntity, GenericEntityReference, GenericNotation, GenericProcessingInstruction, GenericText, GraphicsExtensionElement, PrefixableStylableExtensionElement, StylableExtensionElement, StyleSheetProcessingInstruction, SVG12OMDocument, SVGDescriptiveElement, SVGGraphicsElement, SVGOMAElement, SVGOMAltGlyphDefElement, SVGOMAltGlyphElement, SVGOMAltGlyphItemElement, SVGOMAnimateColorElement, SVGOMAnimateElement, SVGOMAnimateMotionElement, SVGOMAnimateTransformElement, SVGOMAnimationElement, SVGOMCircleElement, SVGOMClipPathElement, SVGOMColorProfileElement, SVGOMComponentTransferFunctionElement, SVGOMCursorElement, SVGOMDefinitionSrcElement, SVGOMDefsElement, SVGOMDescElement, SVGOMDocument, SVGOMElement, SVGOMEllipseElement, SVGOMFEBlendElement, SVGOMFEColorMatrixElement, SVGOMFEComponentTransferElement, SVGOMFECompositeElement, SVGOMFEConvolveMatrixElement, SVGOMFEDiffuseLightingElement, SVGOMFEDisplacementMapElement, SVGOMFEDistantLightElement, SVGOMFEFloodElement, SVGOMFEFuncAElement, SVGOMFEFuncBElement, SVGOMFEFuncGElement, SVGOMFEFuncRElement, SVGOMFEGaussianBlurElement, SVGOMFEImageElement, SVGOMFEMergeElement, SVGOMFEMergeNodeElement, SVGOMFEMorphologyElement, SVGOMFEOffsetElement, SVGOMFEPointLightElement, SVGOMFESpecularLightingElement, SVGOMFESpotLightElement, SVGOMFETileElement, SVGOMFETurbulenceElement, SVGOMFilterElement, SVGOMFilterPrimitiveStandardAttributes, SVGOMFlowDivElement, SVGOMFlowLineElement, SVGOMFlowParaElement, SVGOMFlowRegionBreakElement, SVGOMFlowRegionElement, SVGOMFlowRegionExcludeElement, SVGOMFlowRootElement, SVGOMFlowSpanElement, SVGOMFontElement, SVGOMFontFaceElement, SVGOMFontFaceFormatElement, SVGOMFontFaceNameElement, SVGOMFontFaceSrcElement, SVGOMFontFaceUriElement, SVGOMForeignObjectElement, SVGOMGElement, SVGOMGlyphElement, SVGOMGlyphRefElement, SVGOMGradientElement, SVGOMHandlerElement, SVGOMHKernElement, SVGOMImageElement, SVGOMLinearGradientElement, SVGOMLineElement, SVGOMMarkerElement, SVGOMMaskElement, SVGOMMetadataElement, SVGOMMissingGlyphElement, SVGOMMPathElement, SVGOMMultiImageElement, SVGOMPathElement, SVGOMPatternElement, SVGOMPolygonElement, SVGOMPolylineElement, SVGOMRadialGradientElement, SVGOMRectElement, SVGOMScriptElement, SVGOMSetElement, SVGOMSolidColorElement, SVGOMStopElement, SVGOMStyleElement, SVGOMSubImageElement, SVGOMSubImageRefElement, SVGOMSVGElement, SVGOMSwitchElement, SVGOMSymbolElement, SVGOMTextContentElement, SVGOMTextElement, SVGOMTextPathElement, SVGOMTextPositioningElement, SVGOMTitleElement, SVGOMToBeImplementedElement, SVGOMTRefElement, SVGOMTSpanElement, SVGOMURIReferenceElement, SVGOMUseElement, SVGOMUseShadowRoot, SVGOMViewElement, SVGOMVKernElement, SVGPointShapeElement, SVGStylableElement, SVGStyleSheetProcessingInstruction, SVGURIReferenceGraphicsElement, SVGURIReferenceTextPositioningElement, XBLOMContentElement, XBLOMDefinitionElement, XBLOMElement, XBLOMHandlerGroupElement, XBLOMImportElement, XBLOMShadowTreeElement, XBLOMTemplateElement, XBLOMXBLElement

    public interface ExtendedNode

extends Node, NodeEventTarget

This interface provides an access to the non DOM methods implemented by all the nodes in this implementation.

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`boolean` | `isReadonly()` Tests whether this node is readonly.
`void` | `setNextSibling(Node n)` Sets the node immediately following this node.
`void` | `setNodeName(String v)` Sets the name of this node.
`void` | `setOwnerDocument(Document doc)` Sets the owner document of this node.
`void` | `setParentNode(Node v)` Sets the parent node.
`void` | `setPreviousSibling(Node n)` Sets the node immediately preceding this node.
`void` | `setReadonly(boolean v)` Sets this node readonly attribute.
`void` | `setSpecified(boolean v)` Sets the value of the specified attribute.

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Methods inherited from interface org.apache.batik.dom.events.NodeEventTarget
`addEventListenerNS, dispatchEvent, getEventSupport, getParentNodeEventTarget, removeEventListenerNS`

Methods inherited from interface org.w3c.dom.events.EventTarget
`addEventListener, removeEventListener`

Method Detail

### setNodeName

    void setNodeName(String v)

  Sets the name of this node.

### isReadonly

    boolean isReadonly()

  Tests whether this node is readonly.

### setReadonly

    void setReadonly(boolean v)

  Sets this node readonly attribute.

### setOwnerDocument

    void setOwnerDocument(Document doc)

  Sets the owner document of this node.

### setParentNode

    void setParentNode(Node v)

  Sets the parent node.

### setPreviousSibling

    void setPreviousSibling(Node n)

  Sets the node immediately preceding this node.

### setNextSibling

    void setNextSibling(Node n)

  Sets the node immediately following this node.

### setSpecified

    void setSpecified(boolean v)

  Sets the value of the specified attribute. This method only applies to Attr objects.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.